/* CSS RESET*/
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  font-family: "Poppins", sans-serif;
  font-size: 62.5%;
}

body {
  background-color: hsla(228, 6%, 66%, 0.05); /* hue, saturation, lightness, alpha  */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 6rem 0rem 6rem 0rem;
}

/* HEADER STYLES */
.header {
  font-weight: 200;
  font-size: 2.4rem;
  width: 30rem;
  text-align: center;
  color: hsl(234, 12%, 34%);
}

.text-bold {
  font-weight: 600;
}

.description-text {
  color: hsl(229, 6%, 66%);
  text-align: center;
  width: 30rem;
  font-size: 1.5rem;
  font-weight: 380;
  padding: 1.5rem 0 6rem 0;
}

/* FEATURE CARDS SECTION */
.block-card {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  width: 31.5rem;
  height: 25rem;
  border-radius: 1rem;
  padding: 3rem;
  margin-bottom: 2rem;
  position: relative;
  box-shadow: 0 1.3rem 1.5rem 0 rgba(216, 226, 236, 0.7);
  overflow: hidden;
}

.block-card::before {
  content: "";
  width: 100%;
  height: 0.4rem;
  position: absolute;
  top: 0;
  left: 0;
}

.block-card__container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.block-card__container--middle {
  display: flex;
  flex-direction: column;
}

.block-team::before {
  background-color: hsl(0, 78%, 62%);
}

.block-supervisor::before {
  background-color: hsl(180, 62%, 55%);
}

.block-karma::before {
  background-color: hsl(34, 97%, 64%);
}

.block-calculator::before {
  background-color: hsl(212, 86%, 64%);
}

.block-calculator {
  margin-bottom: 0;
}

.block-card__img {
  width: 6.4rem;
  align-self: flex-end;
}

.block-card__title {
  font-weight: 600;
  margin-bottom: 0.5rem;
  color: hsl(234, 12%, 34%);
  font-size: 2rem;
}

.block-card__text {
  color: hsl(229, 6%, 66%);
  margin-bottom: 4rem;
  font-size: 1.3rem;
  font-weight: 400;
}

@media only screen and (min-width: 1100px) {
  .block-card {
    border-radius: 5px;
    width: 35rem;
  }

  .block-card__container--middle{
    padding: 0 2rem 0 2rem
  }

  .block-card__container {
    flex-direction: row;
  }

  .description-text {
    font-size: 1.5rem;
    width: 50rem
  }

  .header{
    font-size: 3rem;
    width: 400px;
  }

  .block-card__text {
    font-size: 1.3rem;
  }
}